Subject: Re: data content identification

From: "Bogdan Ghita" <[email-masked]>
Date: Fri, 19 Mar 1999 17:06:12 -0000

>> I am looking for a method to identify voice packets on a data stream
>
>why do you want to do this?
>
>note that if its so someone can bill differently for the packets
>I would expect that many of the users will adopt simple ways
>to hide this from you
>
>Scott

I am not planning to do it for billing purposes.
I am doing a PhD project about monitoring the parameters of Voice over IP
traffic. It is not going to be specifically for one type of network of
application, that is why I hoped there is a specific header, or something
like this, inside the voice packets, no matter which is the application that
builds it.
I haven't found, at least until now, a good method to separe the voice
packets from the other types.

Regards
Bogdan Ghita

---------
This message came from the IETF IPTEL Working Group Mailing List.

---

From: "Kevin Davis" <[email-masked]>
Date: Fri, 19 Mar 1999 13:31:59 -0500

If you do not monitor the call setup which specifies UDP port numbers
(and also the call disconnect), it is still very feasible to examine
UDP packets for what appears to be RTP audio content. However, when
you find something that looks like RTP audio, you should validate
it and make sure that the header recurs as expected (not a mimic).
Hammer Technologies already offers a statistics monitor for RTP audio;
it is included as a feature of Hammer's VoIP Test Suite.
- Kevin

>Maybe the simplest method would be to look to the RTP headers. This should
>identify the packet types for you so that you can scan them at your leisure.
>This only applies to those forms of VoIP which encapsulate in RTP but that
>should be a significant number of them.
>

---------